function show_segment2(inputimage, seg_out)
%% seg_out are the LB/SB frame numbers saved in a matrix
d=seg_out;
frame_size=5;

%% modify boundaries of images according to frame size to make sure the frame numbers are integer 
image= imread(inputimage);
[img_height,img_width]=size(image);
image1=image(1:floor(img_height/frame_size)*frame_size,1:floor(img_width/frame_size)*frame_size);
I= image1;
[m,n,k]=size(I);

%% display LB frames in Blue
    for p=1:floor(m/frame_size)
        for q=1:floor(n/frame_size)
           if(find(((p-1)*(floor(n/frame_size))+q)== d(1,:) )~=0)
               
             %  plot((p*frame_size)-2,(q*frame_size),'*b');
               I((p*frame_size)-(frame_size-1):(p*frame_size),(q*frame_size)-(frame_size-1):(q*frame_size),1)=255;  
               I((p*frame_size)-(frame_size-1):(p*frame_size),(q*frame_size)-(frame_size-1):(q*frame_size),2)=255; 
               I((p*frame_size)-(frame_size-1):(p*frame_size),(q*frame_size)-(frame_size-1):(q*frame_size),3)=0; 
           end
        end
    end           

%% display SB frames in Yellow
    for p=1:floor(m/frame_size)
        for q=1:floor(n/frame_size)
           if(find(((p-1)*(floor(size(I,2)/frame_size))+q)== d(2,:) )~=0)
             %  plot((p*frame_size)-2,(q*frame_size),'*k');
               
               I((p*frame_size)-(frame_size-1):(p*frame_size),(q*frame_size)-(frame_size-1):(q*frame_size),1)=0;  
               I((p*frame_size)-(frame_size-1):(p*frame_size),(q*frame_size)-(frame_size-1):(q*frame_size),2)=0; 
               I((p*frame_size)-(frame_size-1):(p*frame_size),(q*frame_size)-(frame_size-1):(q*frame_size),3)=255; 
           end
        end
    end
    
 figure; imshow(I);