clc
clear

%% read HVite decoding frame transcription
a=textread('showresult.txt','%s');
showfile = fopen('showfile.txt','w'); 
%% input images list 
filenames=textread('inputimage.txt','%s');
numFile = numel(filenames);

%% Find LB(sil) frame numbers and write it to showfile.txt
for i = 1:length(a)        
              if (length(a{i})>=4)
                   if (a{i}(1)=='s'&a{i}(3)=='l'&a{i}(4)=='[')
                  
                       for j=round(str2num(a{i-2})/100000)+1:round(str2num(a{i-1})/100000)

                         fprintf(showfile,'%s',num2str(j));
                         fprintf(showfile, '  '); 
                       end
                    end
              end        
       if(find(a{i}(1)=='.'))==1
           fprintf(showfile, '\n');
       end
end
fprintf(showfile, '\n');
 
%% Find SB(sp) frame numbers and write it to showfile.txt
   for i = 1:length(a)
         if (length(a{i})>=3)
          if (a{i}(1)=='s'&a{i}(2)=='p'&a{i}(3)=='[')
               for j=round(str2num(a{i-2})/100000)+1:round(str2num(a{i-1})/100000)

                         fprintf(showfile,'%s',num2str(j));
                         fprintf(showfile, '  '); 
               end      
   
          end
         end
        if(find(a{i}(1)=='.'))==1
      fprintf(showfile, '\n');
        end
    
   end

%% load matrix save all SB and LB frame numbers 
seg=dlmread('showfile.txt');
save('seg.mat','seg');
%% show segmentation on original images
for iFile=1:numFile
    seg_out=seg([iFile,iFile+numFile],:);
    show_segment2(filenames{iFile}, seg_out);
end
fclose('all');

